## kompose-trinity 14.1.5

=== CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#  Modified by Mavridis Philippe for Komposé.
#
#################################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


##### general package setup #####################

project( kompose )


##### include essential cmake modules ###########

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


##### include our cmake modules #################

include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )



##### optional stuff ############################

option( WITH_ALL_OPTIONS      "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY   "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
option( WITH_XCOMPOSITE       "Enable xcomposite support" ON )


##### user requested modules ####################

option( BUILD_ALL          "Build all"                          ON )
option( BUILD_DOC          "Build documentation"                ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations"                 ${BUILD_ALL} )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### source directories ########################

add_subdirectory( src )


##### other data ################################

tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

## kompose-trinity 14.0.10

=== debian/changelog ===
kompose-trinity (4:14.0.10-0raspbian8.0.0+0) raspbian-jessie; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 26 Apr 2021 23:45:53 +0200

kompose-trinity (0.5.4-3) testing; urgency=low

  * Initial release for TDE

 -- Michele Calgaro <michele.calgaro@yahoo.it>  Sun, 06 Apr 2021 11:12:07 +0900

kompose (0.5.4-3) unstable; urgency=low

  * Relocate patches to not use -p0. (Closes: #484954)

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 23 Jun 2008 13:16:59 +0200

kompose (0.5.4-2) unstable; urgency=low

  * Update to Standards-Version 3.7.3, no changes required.
  * Bump to debhelper 6.
  * Move Homepage into source field.
  * Fix clean target in debian/rules.
  * Patch desktop file:
    - Add categories to the desktop file. (Closes: #448828)
    - Remove deprecated TerminalOptions entry.
  * Replace (c) by © in the copyright file to make lintian happy.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 10 Feb 2008 03:25:20 +0100

kompose (0.5.4-1) unstable; urgency=low

  * New maintainers. (Closes: #393035)
  * New upstream release. (Closes: #390087)
  * Acknowledge NMU. (Closes: #342994)

  [ Ana Beatriz Guerrero Lopez ]
  * Bumped compat to 5.
  * Bumped Build-Depends to 3.7.2, no changes required.
  * Added Homepage to description.
  * Moved .desktop file to the right place.
  * Added quilt to manage patches.
  * Added patch to fix kompose version number.
  * Improved debian/copyright file.

  [ Sune Vuorela ]
  * Added a patch from gentoo bugtracker to make it build
    (10_fix-komposetaskprefswidget.cpp.diff)
  * Added 01_autoconf-2.6.diff to be able to create 98_buildprep.diff
  * While I am at buildprep, take the 'common' patches from kde packaging
  * Improved debian/copyright file.
  * Added 02_no-libxfixes-configure-in-in.diff to not link against non-needed
    libxfixes.
  * Added 03_fix-ld-flags.diff to not link against multiple non-needed
    libraries.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sat, 28 Oct 2006 02:29:39 +0200

kompose (0.5.3-1.3) unstable; urgency=high

  * Non-maintainer upload.
  * Split xlibs-dev build-dep (Closes: #347079).
  * Remove explicit build-dep on g++-3.4 (Closes: #342994).

 -- Luk Claes <luk@debian.org>  Wed, 11 Jan 2006 16:24:15 +0100

kompose (0.5.3-1.2) unstable; urgency=low

  * Non-maintainer upload to complete the previous one.
  * Upstream's tarball has some botched timestamps in autotools files;
    introduce some touch-fu in debian/rules to allow compilation without
    automake and autoconf.

 -- Adeodato Simó <dato@net.com.org.es>  Sat, 10 Dec 2005 16:58:47 +0100

kompose (0.5.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Upload to get rebuilt against kdelibs4c2a after failed binNMU.
  * Do not build-depend on removed automake1.6, since it is not needed (not
    called from debian/rules, no Makefile.am touched from diff.gz); instead,
    build-depend on autotools-dev for the update of config.{sub,guess}
    snippet. (Closes: #335126)

 -- Adeodato Simó <dato@net.com.org.es>  Fri, 09 Dec 2005 03:42:22 +0100

kompose (0.5.3-1) unstable; urgency=low

  * New upstream release. (Closes: #299654)

 -- Luis Mayoral <mayoral@linuxadicto.org>  Sat,  8 Oct 2005 21:58:46 +0200

kompose (0.5.1-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Build-dep on g++-3.4 on arm, hppa and m68k (Closes: #330938) 

 -- Luk Claes <luk@debian.org>  Sat,  1 Oct 2005 19:53:58 +0200

kompose (0.5.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Trigger rebuild for the Qt/KDE transition, no source changes needed.
    (Closes: #327970)

 -- Adeodato Simó <asp16@alu.ua.es>  Tue, 27 Sep 2005 16:07:53 +0200

kompose (0.5.1-2) unstable; urgency=low

  * Added xlibs-dev to Build-Depends. 

 -- Luis Mayoral <mayoral@linuxadicto.org>  Fri, 11 Feb 2005 13:12:15 +0100

kompose (0.5.1-1) unstable; urgency=low

  * New upstream release.

 -- Luis Mayoral <mayoral@linuxadicto.org>  Wed,  9 Feb 2005 13:01:28 +0100

kompose (0.5-2) unstable; urgency=low

  * Fixed Build-Depends in debian/control (closes: Bug#287104). 

 -- Luis Mayoral <mayoral@linuxadicto.org>  Fri, 24 Dec 2004 19:47:34 +0100

kompose (0.5-1) unstable; urgency=low

  * New upstream release.

 -- Luis Mayoral <mayoral@linuxadicto.org>  Tue, 19 Oct 2004 10:44:38 +0200

kompose (0.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Luis Mayoral <mayoral@linuxadicto.org>  Sun,  5 Sep 2004 14:15:04 +0200

kompose (0.4.1-1) unstable; urgency=low

  * Initial Release (closes: Bug#267579).
  * Modified src/Makefile.in in order to fix a bug in imlib2-config.

 -- Luis Mayoral <mayoral@linuxadicto.org>  Mon, 23 Aug 2004 19:56:57 +0200

=== debian/control ===
Source: kompose-trinity
Section: admin
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>, Sune Vuorela <debian@pusling.com>
Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, tdelibs14-trinity-dev, libimlib2-dev, libx11-dev, libxdamage-dev, libxcomposite-dev
Standards-Version: 3.8.4

Package: kompose-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kompose-trinity (<< 4:14.0.0~)
Breaks: kompose-trinity (<< 4:14.0.0~)
Description: full screen task manager for TDE
 Kompose offers a great new way to manage a big number of windows on
 different Virtual Desktops. It creates a fullscreen view where every
 window is represented by a scaled screenshot of its own.

## kompose-trinity 14.0.11

=== debian/changelog ===
kompose-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#kompose

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 30 Jul 2021 22:44:16 +0200

## kompose-trinity 14.0.12

=== debian/changelog ===
kompose-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#kompose

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:53 +0100

## kompose-trinity 14.0.13

=== debian/changelog ===
kompose-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#kompose

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 23 Jun 2022 07:20:03 +0200

## kompose-trinity 14.1.0

=== debian/changelog ===
kompose-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#kompose

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## kompose-trinity 14.1.1

=== debian/changelog ===
kompose-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#kompose

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 26 Jul 2023 05:42:51 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Ana Beatriz Guerrero Lopez <ana@debian.org>, Sune Vuorela <debian@pusling.com>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, cmake, tdelibs14-trinity-dev, libimlib2-dev, libx11-dev, libxdamage-dev, libxcomposite-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev, libimlib2-dev, libx11-dev, libxdamage-dev, libxcomposite-dev
 Standards-Version: 3.8.4
 
 Package: kompose-trinity

## kompose-trinity 14.1.2

=== debian/changelog ===
kompose-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#kompose

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 22 Apr 2024 00:31:52 +0200

## kompose-trinity 14.1.3

=== debian/changelog ===
kompose-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#kompose

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Jul 2024 14:23:14 +0200

## kompose-trinity 14.1.4

=== debian/changelog ===
kompose-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#kompose

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

## kompose-trinity 14.1.5~pre1

=== debian/changelog ===
kompose-trinity (4:14.1.5~pre1-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 198b4a518f9de6b0cea9bc47797be208a9fb01fc
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kompose

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kompose-trinity 14.1.5

=== debian/changelog ===
kompose-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#kompose

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kompose-trinity 14.1.6~pre0

=== debian/changelog ===
kompose-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 198b4a518f9de6b0cea9bc47797be208a9fb01fc
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kompose

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## kompose-trinity 14.1.6~pre1

=== debian/changelog ===
kompose-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for bde51fa3c4905aa0330add5bdb1e4505869c2407
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#kompose

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:22:08 +0100

## kompose-trinity 14.2.0~pre29

=== debian/changelog ===
kompose-trinity (4:14.2.0~pre29-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 1efabeac55ed9b9abc107c8e88803e17aa6a4123
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kompose

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## kompose-trinity 14.2.0~pre30

=== debian/changelog ===
kompose-trinity (4:14.2.0~pre30-0ubuntu26.04.0+6~a) resolute; urgency=low

  * Automated git build for 6e692868e6b093d0c7a62a3fde719894ee24fea5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#kompose

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:15:18 +0100
